Subject: Re: Problem with raising X window (PR#157)

From: Bob Woodside <[email-masked]>
Date: Fri, 5 Feb 1999 09:57:00 -0600 (CST)

I don't know whether you've been following the
discussion of this problem on the fvwm-workers mailing
list. I noticed that you weren't being cc'ed on the
messages, so I thought I'd send you a reply just in case.

	The consensus of the developers is that the new
handling of window raising corrects several long-standing
bugs, and that it's too close to the release (the code
has been frozen except for the most critical bug fixes)
to be adding changes to accommodate the quirks of a
hostile operating environment.

	After the 2.2 release is out, we will be looking
into the question of what options we can add to help out
Exceed users.

	In the meantime, I have placed a patch on my
Unofficial Patches page at

        http://www.pcnet.com/~proteus/Fvwm/FvwmPatches.html

The NoAvoidUnmanagedWindows patch should apply cleanly to
either the 2.2.11 beta or the 2.2.0 final release (unless
otherwise noted - we don't anticipate any changes that would
conflict with it).

	If you apply the patch, and add the line

GlobalOpts NoAvoidUnmanagedWindows

to your .fvwm2rc, FVWM should revert to the old RaiseWindow
handling. Note that this reinstates some old bugs, but
there is no alternative. It is really the only way we can
accommodate an operating environment that is basically
inimical to good window management.

	Please review the mailing list archives at

http://www.hpc.uh.edu/fvwm/archive/9902

for the last few days' discussion of this problem, its causes,
and why we're proceeding as we are.

- Bob

--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].